<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
require_once("../includes/funciones_buscador.php");

$examp = $_REQUEST["q"]; //query number

$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction
$id = $_REQUEST['id'];
if(!$sidx) $sidx =1;
if(!$sord) $sord ="asc";
if(!$limit) $limit =10;

// search options
// IMPORTANT NOTE!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// this type of constructing is not recommendet
// it is only for demonstration
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$wh = "";
$searchOn = Strip($_REQUEST['_search']);
if($searchOn=='true') {
	$searchstr = Strip($_REQUEST['filters']);
	//$wh= constructWhere($searchstr);
	$jsona = json_decode($searchstr,true);
	$wh =  " AND ".getStringForGroup($jsona);
	//var_dump($wh);
	//echo $ss;
}

		$cons="SELECT COUNT(*) AS count FROM `adm_administrativos` WHERE 1=1 ".$wh;
		$academia->instruccion($cons);
		
		$row = $academia->extraer_registro();
		$count = $row['count'];
		$academia->liberar();
		if( $count >0 ) {
			$total_pages = ceil($count/$limit);
		} else {
			$total_pages = 0;
		}
        if ($page > $total_pages) $page=$total_pages;
		$start = $limit*$page - $limit; // do not put $limit*($page - 1)
		if ($start<0) $start = 0;
		
        $SQL = "SELECT `ide_adtivo`, `cod_adtivo`, lower(`ape1_adtivo`) as ape1_adtivo, lower(`ape2_adtivo`) as ape2_adtivo, lower(`no1_adtivo`) as no1_adtivo, lower(`no2_adtivo`) as no2_adtivo, `genero`, lower(`cargo`) as cargo FROM `administrativos` WHERE 1=1".$wh." ORDER BY $sidx $sord LIMIT $start , $limit";
		//echo $SQL;
        $responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
		$academia->instruccion($SQL);
        $i=0;
		while($row = $academia->extraer_registro()) {
            $responce->rows[$i]['id']=$row[ide_adtivo];
			$nombre=$row[ape1_adtivo] . " " . $row[ape2_adtivo] . " " . $row[no1_adtivo] . " " . $row[no2_adtivo];
			$responce->rows[$i]['cell']=array($row[cod_adtivo],ucwords(trim($nombre)), $row[ape1_adtivo],$row[ape2_adtivo],$row[no1_adtivo],$row[no2_adtivo],strtoupper($row[genero]), ucwords($row[cargo]));
            $i++;
		} 
        echo json_encode($responce);
		
$academia->cerrar();

?>
